﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;

namespace Sample
{
    /// <summary>
    /// Summary description for FileUpload
    /// </summary>
    public class FileUpload : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            foreach (string file in context.Request.Files)
            {
                var hpf = context.Request.Files[file] as HttpPostedFile;
                if (hpf.ContentLength == 0)
                    break;
                    

                var savedFileName = context.Server.MapPath(Path.Combine("Uploads",Path.GetFileName(hpf.FileName)));
                hpf.SaveAs(savedFileName);
            }
            context.Response.ContentType = "text/plain";
            context.Response.Write("Hello World");
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}